Applications
List persons on an application
GET
/
v2
/
applications
/
{applicationId}
/
persons
List persons on an application
curl --request GET \
--url https://api.example.com/v2/applications/{applicationId}/persons \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/applications/{applicationId}/persons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/applications/{applicationId}/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"dateOfBirth": "1985-06-15",
"emailAddress": "jsmith@example.com",
"firstName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastName": "<string>",
"nationality": "<string>",
"phoneNumber": "<string>",
"residentialAddress": {
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"state": "<string>",
"street": "<string>"
},
"title": "<string>",
"bvn": "<string>",
"middleName": "<string>",
"nationalId": "<string>",
"ownershipPercentage": 50
}
]{
"error": "BAD_REQUEST",
"message": "Bad Request",
"path": "/v1/beneficiaries",
"statusCode": 400,
"timestamp": "2024-01-15T10:30:00.000Z"
}Authorizations
Enter Auth0 JWT token
Path Parameters
Response
Example:
"1985-06-15"
ISO 3166-1 alpha-2 country code
Show child attributes
Show child attributes
Available options:
director, shareholder, director_and_shareholder, signing_officer Bank Verification Number (Nigeria).
Required range:
0 <= x <= 100⌘I
List persons on an application
